Subject: [GIT PULL 3/4] ARM: imx: device tree changes for 4.2

From: [email-masked] (Shawn Guo)
Date: Wed, 3 Jun 2015 14:23:22 +0800

On Tue, Jun 02, 2015 at 05:57:53PM +0200, Arnd Bergmann wrote:
> On Tuesday 02 June 2015, Fabio Estevam wrote:
> > Spam Status: Spamassassin 0% probability of being spam.
> > 
> > Full report:
> > No, score=-2.7 required=5.0 tests=BAYES_00,DKIM_SIGNED, DKIM_VALID,DKIM_VALID_AU,FREEMAIL_FROM,RCVD_IN_DNSWL_LOW,UNPARSEABLE_RELAY autolearn=unavailable version=3.3.1  
> > On Tue, Jun 2, 2015 at 12:33 AM, Shawn Guo <[email-masked]> wrote:
> > 
> > > So here is my changes to fix all the errors reported by Stephen, except
> > > 'SZ_4K' one.  Let me know if it's preferred or we'd like to drop
> > > COMPILE_TEST and simply depend on ARCH_MXC.
> > 
> > I would say that we could drop COMPILE_TEST and use 'depends on
> > ARCH_MXC' instead.
> 
> Including COMPILE_TEST is generally a good idea, because it enables automatic
> checking by build bots, e.g. the coverity bot that runs x86-64 allmodconfig.

For this particular case, it will not be covered by x86-64 test, as we
already need to depend on ARM due to delay_timer support.  But I agree
that having COMPILE_TEST is good in general, so will keep it.

Shawn